﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using IQuerableDSigGrid.Models;
using Infragistics.Web.Mvc;

namespace IQuerableDSigGrid.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            //This object will serve as the basis for binding to data
            //on the Index.cshtml View with the MVC Helpers. See:
            //@model = IQuerableDSigGrid.Models.CustomersViewModel
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                //Customers = GetCustomers(),
            };

            return View(viewModel);
        }

        [GridDataSourceAction]
        public ActionResult GetClient()
        {
            MyContacts contactRepository = new MyContacts(); ;
            
            var vContacts = contactRepository.All.ToList(); 
            return View(vContacts.AsQueryable<Customer>());
        }



    
    }
}