﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Linq.Expressions;

namespace IQuerableDSigGrid.Models
{
    public interface IContactRepository
    {
        IQueryable<Customer> All { get; }
        IQueryable<Customer> AllIncluding(params Expression<Func<Customer, object>>[] includeProperties);
        Customer Find(int id);
        void InsertOrUpdate(Customer contact);
        void Delete(int id); void Save();    
    }

    public class MyContacts : IContactRepository
    {
        public List<Customer> customers;
        public IQueryable<Customer> All
        {

            get
            {
                this.customers = new List<Customer>();
                customers.Add(new Customer { ID = 1, Name = "John Smith", IsActive = true });
                return this.customers.AsQueryable<Customer>();
            }
        }

        public IQueryable<Customer> AllIncluding(params Expression<Func<Customer, object>>[] includeProperties)
        {
            throw new NotImplementedException();
        }

        public Customer Find(int id)
        {
            throw new NotImplementedException();
        }

        public void InsertOrUpdate(Customer contact)
        {
            throw new NotImplementedException();
        }

        public void Delete(int id)
        {
            throw new NotImplementedException();
        }

        public void Save()
        {
            throw new NotImplementedException();
        }
    }


}